Name:          maven-processor-plugin
Version:       2.2.4
Release:       %mkrel 7
Group:         Development/Java
Summary:       Maven Processor Plugin
License:       LGPLv3+
Url:           https://github.com/bsorrentino/maven-annotation-plugin
Source0:       https://github.com/bsorrentino/maven-annotation-plugin/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
# main deps
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
# test deps
BuildRequires: mvn(junit:junit)

BuildArch:     noarch

%description
A maven plugin to process annotation for jdk6 at compile time

This plugin helps to use from maven the new annotation processing
provided by JDK6 integrated in java compiler

This plugin could be considered the 'alter ego' of maven apt plugin.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n maven-annotation-plugin-%{name}-%{version}
%pom_xpath_remove pom:project/pom:profiles
%pom_xpath_remove pom:build/pom:extensions

cp -p src/main/resources/COPYING.LESSER .

%mvn_file :%{name} %{name}/%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license COPYING.LESSER

%files javadoc -f .mfiles-javadoc
%license COPYING.LESSER



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 2.2.4-7.mga6
+ Revision: 977284
- First rebuild of the java stack
- sync package maven-processor-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 2.2.4-1.mga5
+ Revision: 807874
- Sync with Fedora 21 (update to 2.2.4)

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-4.mga5
+ Revision: 747222
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.1.1-2.mga4
+ Revision: 537630
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 2.1.1-1.mga4
+ Revision: 487390
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.0.7-2.mga3
+ Revision: 359740
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 2.0.7-1.mga3
+ Revision: 325789
- New version

* Sun Jun 24 2012 dmorgan <dmorgan> 2.0.5-1.mga3
+ Revision: 263221
- imported package maven-processor-plugin


* Thu Jun 21 2012 gil cattaneo <puntogil@libero.it> 2.0.5-2
- fix summary
- fix license

* Sun Apr 22 2012 gil cattaneo <puntogil@libero.it> 2.0.5-1
- initial rpm
